﻿MediaRazgriz = {}
--[[add sharemedia support]]--
local dummyframe = CreateFrame("Frame")
dummyframe:RegisterEvent("PLAYER_LOGIN")
dummyframe:SetScript("OnEvent",function(self)
	local MAJOR, MINOR = "LibSharedMedia-3.0", 100002 -- increase manualy on changes
	if not LibStub then return end
	local lib = LibStub:NewLibrary(MAJOR, MINOR)
	if not lib then return end
	lib.MediaTable = lib.MediaTable or {}
	lib.MediaTable.sound["LowHealth"] = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Sound\LowHealth.mp3]]	-- Relies on the fact that PlaySound[File] doesn't error on non-existing input.
	lib.MediaTable.border["RazgrizCommonBorder"] = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\CommonFrameBorder.tga]]
end)
--[[misc settings]]--
MediaRazgriz.FrameAlpha = 0.65
MediaRazgriz.BorderAlpha = 1
MediaRazgriz.FrameBackdropColor = {0,0,0} --注意：默认情况下，他妈的数组是以下标1开头的。坑爹啊！这是。
MediaRazgriz.FrameBorderColor = {121 / 255,121 / 255, 121 / 255}
MediaRazgriz.CommonFrameHeight = 20
MediaRazgriz.CommonMenuItemHeight = 19
MediaRazgriz.CommonMenuItemHighlightAlpha = .5
MediaRazgriz.CommonUIFadeTime = 1
MediaRazgriz.InputLanguage = {}
MediaRazgriz.InputLanguage.English = "英"
MediaRazgriz.InputLanguage.Chinese = "中"
MediaRazgriz.InputLanguage.Japanese = "日"
--[[Backgrounds]]--
MediaRazgriz.Background = {}
MediaRazgriz.Background.CommonFrameBackground = [[Interface\BUTTONS\WHITE8X8]]
MediaRazgriz.Background.HPPArrowBackground = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\HealthPercentageArrowBackground.tga]]
MediaRazgriz.Background.ThreatIndicatorBackground = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\ThreatIndicatorBackground.tga]]
MediaRazgriz.Background.MiscIconBackground = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\MiscInconBackground.tga]]
--[[Borders]]--
MediaRazgriz.Borders = {}
MediaRazgriz.Borders.CommonFrameBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\CommonFrameBorder.tga]]
MediaRazgriz.Borders.MenuFrameBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\MenuFrame.tga]]
MediaRazgriz.Borders.AuraFrameBorderNormal = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\AuraFrameBorderNormal.tga]]
MediaRazgriz.Borders.AuraFrameBorderHighlight = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\AuraFrameBorderHighlight.tga]]
MediaRazgriz.Borders.LeftWingBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\LeftWingBorder.tga]]
MediaRazgriz.Borders.LeftWingGlowBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\LeftWingGlow.tga]]
MediaRazgriz.Borders.LeftWingGlowBorderLite = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\LeftWingGlowLite.tga]]
MediaRazgriz.Borders.RightWingBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\RightWingBorder.tga]]
MediaRazgriz.Borders.RightWingGlowBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\RightWingGlow.tga]]
MediaRazgriz.Borders.RightWingGlowBorderLite = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\RightWingGlowLite.tga]]
MediaRazgriz.Borders.SwordBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\SwordBorder.tga]]
MediaRazgriz.Borders.HPPArrowBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\HealthPercentageArrowBorder.tga]]
MediaRazgriz.Borders.ThreatIndicatorBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\ThreatIndicatorBorder.tga]]
MediaRazgriz.Borders.MiscIconBorder = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Borders\MiscIconBorder.tga]]
--[[Fonts]]--
MediaRazgriz.Fonts = {}
MediaRazgriz.Fonts.CommonFont = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Fonts\CommonFont.ttf]]
MediaRazgriz.Fonts.NumberFont = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Fonts\NumberFont.ttf]]
--[[textures]]--
MediaRazgriz.Textures = {}
MediaRazgriz.Textures.China = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\misc\China.tga]]
MediaRazgriz.Textures.England = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\misc\England.tga]]
MediaRazgriz.Textures.Japan = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\misc\Japan.tga]]
MediaRazgriz.Textures.AuraGlow = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\misc\AuraGloss.tga]]
MediaRazgriz.Textures.LeftWingBackground = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\LeftWingBG.tga]]
MediaRazgriz.Textures.LeftWingPower = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\LeftWingHasPower.tga]]
MediaRazgriz.Textures.RightWingBackground = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\RightWingBG.tga]]
MediaRazgriz.Textures.RightWingPower = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\RightWingHasPower.tga]]
MediaRazgriz.Textures.SwordBackground = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\SwordBG.tga]]
MediaRazgriz.Textures.SwordPower = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\SwordPower.tga]]

MediaRazgriz.Textures.SwordLeft = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\oUF_Razgriz\Sword Left.tga]]
MediaRazgriz.Textures.SwordRight = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Arts\oUF_Razgriz\Sword Right.tga]]

--[[Status bars]]--
MediaRazgriz.StatusBars = {}
MediaRazgriz.StatusBars.CommonBars = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\StatusBar\CommonStatusBar.tga]]
MediaRazgriz.StatusBars.DebuffHighlight = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\StatusBar\DebuffHighlight.tga]]
MediaRazgriz.StatusBars.GlassBar = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\StatusBar\Glass.tga]]

--[[Icons]]--
MediaRazgriz.Icons = {}
MediaRazgriz.Icons.LatencyWorld = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\LatencyWorld.tga]]
MediaRazgriz.Icons.LatencyHome = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\LatencyHome.tga]]
MediaRazgriz.Icons.UpArrow = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\UpArrow.tga]]
MediaRazgriz.Icons.HPPArrow = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\HealthPercentageArrow.tga]]
MediaRazgriz.Icons.Leader = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\Leader.tga]]
MediaRazgriz.Icons.Assistant = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\Assistant.tga]]
MediaRazgriz.Icons.LootMaster = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\LootMaster.tga]]
MediaRazgriz.Icons.PvP = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\PvP.tga]]
MediaRazgriz.Icons.RaidIcons = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\RaidIcons.tga]]
MediaRazgriz.Icons.LFDRole = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\LFDRole.tga]]
MediaRazgriz.Icons.ThreatIndicator = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\ThreatIndicator.tga]]
MediaRazgriz.Icons.LootPrev = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\LootPrev.tga]]
MediaRazgriz.Icons.LootNext = [[Interface\AddOns\LibRazgriz\MediaRazgriz\Media\Icons\LootNext.tga]]

--[[common frame backdrop]]--
MediaRazgriz.FrameBackdrop = {
		bgFile = MediaRazgriz.Background.CommonFrameBackground,
		edgeFile = MediaRazgriz.Borders.CommonFrameBorder,
		tile = true,
		edgeSize = 8,
		insets = {left = 0, right = 0, top = 0, bottom = 0}
	}